> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# プロバイダーの一覧

> entity のプロバイダー、マスクされた認証情報、デプロイメント状態、モデルエントリを一覧表示します。組み込みの`wandb-inference`プロバイダーは遅延プロビジョニングされます。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml GET /providers
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /providers:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
    get:
      tags:
        - Providers
      summary: プロバイダーを一覧表示
      description: >-
        entity
        のプロバイダー、マスクされた認証情報、デプロイメント状態、モデルエントリを一覧表示します。組み込みの`wandb-inference`プロバイダーは遅延プロビジョニングされます。
      operationId: listProviders
      responses:
        '200':
          description: 解決された entity でアクセス可能なプロバイダー。
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Provider'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
  schemas:
    Provider:
      type: object
      required:
        - name
        - entity
        - base_url
        - credential_mode
        - masked_key
        - local_only
        - revision
        - deployments
        - models
      properties:
        name:
          type: string
        entity:
          type: string
        base_url:
          type: string
          format: uri
        credential_mode:
          type: string
          enum:
            - stored
            - passthrough
        masked_key:
          type: string
        local_only:
          type: boolean
        revision:
          type: integer
        deployments:
          type: array
          items:
            $ref: '#/components/schemas/Deployment'
        models:
          type: array
          items:
            $ref: '#/components/schemas/ProviderModel'
    Deployment:
      type: object
      required:
        - proxy_backend
        - status
      additionalProperties: true
      properties:
        proxy_backend:
          type: string
        status:
          type: string
          enum:
            - pending
            - applying
            - applied
            - failed
        applied_revision:
          type: integer
          nullable: true
        external_ref:
          type: string
          nullable: true
        last_error:
          type: string
          nullable: true
    ProviderModel:
      type: object
      required:
        - id
        - model
        - predefined
        - enabled
      properties:
        id:
          type: string
          format: uuid
        model:
          type: string
        predefined:
          type: boolean
        enabled:
          type: boolean
        input_usd_per_mtok:
          type:
            - number
            - 'null'
        output_usd_per_mtok:
          type:
            - number
            - 'null'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````

## Related topics

- [プロバイダーのクイックスタート](/ja/model-distillation/studio/providers-quickstart.md)
